Pin the event host's client certificate for a generation
Only the Athena platform’s own keys for this event may call this, as part of provisioning its host. An organizer API key is refused with 403.
PUT
/api/admin/host/credentialAuthorization
AuthorizationBearer token · headerrequiredRequest body
requiredapplication/jsongenerationintegerrequiredmax 9007199254740991
fingerprintstringrequiredmatches ^[0-9a-f]{64}$
expiresAtstring<date-time>requiredmatches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Responses
200
Success
generationnumberrequiredfingerprintstringrequiredexpiresAtstringrequiredactivatedbooleanrequired401
Unauthorized
errorstringrequired403
Response for status 403
errorstringrequired409
Response for status 409
errorstringrequired422
Validation failed
typestringrequiredonstringrequiredsummarystringmessagestringfoundanypropertystringexpectedstring500
Unhandled server error
errorstringrequired